from Products.testing import dummy

item = dummy(dict(comment='a comment',
                  sys_metadata=dict(principal='joe'),
                  ),
             name='history_item')

class PortalRepository(object):
    """a stub for the portal_repository tool
    """
    history = [item]

    def getHistory(self, obj):
        return self.history
